# Cognito Forms WordPress Plugin

## Development

1. Install [Docker Desktop](https://www.docker.com/products/docker-desktop) and [Yarn](https://yarnpkg.com/)
2. Start WordPress and MariaDB using `docker-compose`:

		docker-compose up -d

3. Install the necessary NPM packages:
  
		yarn install

4. Build the Gutenberg Block:
	
		yarn build

	or run the development server:

		yarn start

5. Visit the local WordPress instance at `localhost:8085` and go through the installation steps

6. Enable the Cognito Forms plugin (Plugins > Installed Plugins > Cognito Forms)

7. Hack away ⚙️

## Deploy

Plugin is automatically built in a DevOps pipeline.

Details under construction 🚧
